package cn.reghao.oss.console.account.service;

import cn.reghao.oss.console.account.model.dto.CreateAccountDto;
import cn.reghao.oss.console.account.model.dto.AccountProfile;
import cn.reghao.oss.console.account.model.dto.AccountRole;
import cn.reghao.jutil.jdk.result.Result;

/**
 * @author reghao
 * @date 2020-06-19 16:36:53
 */
public interface AccountService {
    void initAccount();
    Result createAccount(CreateAccountDto createAccountDto);
    void updateAccountPassword(Integer userId, String newPassword);
    void updateAccountProfile(AccountProfile accountProfile);
    void updateAccountRole(AccountRole accountRole);
    void updateAccountStatus(Integer userId, Boolean enable);
    void deleteAccount(Integer userId);
}
